OGRE: Ogre::HardwarePixelBufferSharedPtr Class Reference - OGRE Documentation

Public Member Functions | Protected Member Functions | Protected Attributes

# Ogre::HardwarePixelBufferSharedPtr Class Reference
[RenderSystem]

Shared pointer implementation used to share pixel buffers. More...

`#include <OgreHardwarePixelBuffer.h>`

Inheritance diagram for Ogre::HardwarePixelBufferSharedPtr:
[legend]

List of all members.

## Public Member Functions
| HardwarePixelBufferSharedPtr ()
| HardwarePixelBufferSharedPtr (HardwarePixelBuffer *buf)
HardwarePixelBuffer & | operator* () const
HardwarePixelBuffer * | operator-> () const
HardwarePixelBuffer * | get () const
void | bind (HardwarePixelBuffer *rep, SharedPtrFreeMethod inFreeMethod=SPFM_DELETE)
| Binds rep to the SharedPtr.
bool | unique () const
unsigned int | useCount () const
unsigned int * | useCountPointer () const
HardwarePixelBuffer * | getPointer () const
SharedPtrFreeMethod | freeMethod () const
bool | isNull (void) const
void | setNull (void)
## Protected Member Functions
void | release (void)
virtual void | destroy (void)
virtual void | swap (SharedPtr< HardwarePixelBuffer > &other)
## Protected Attributes
HardwarePixelBuffer * | pRep
unsigned int * | pUseCount
SharedPtrFreeMethod | useFreeMethod

## Detailed Description

Shared pointer implementation used to share pixel buffers.

Definition at line 195 of file OgreHardwarePixelBuffer.h.

## Constructor & Destructor Documentation

Ogre::HardwarePixelBufferSharedPtr::HardwarePixelBufferSharedPtr | ( |  | ) |

Definition at line 198 of file OgreHardwarePixelBuffer.h.

Ogre::HardwarePixelBufferSharedPtr::HardwarePixelBufferSharedPtr | ( | HardwarePixelBuffer * | buf | ) | `[explicit]`

## Member Function Documentation

void Ogre::SharedPtr< HardwarePixelBuffer >::bind | ( | HardwarePixelBuffer * | rep,
|  | SharedPtrFreeMethod | inFreeMethod = `SPFM_DELETE` |
| ) |  |  | `[inherited]`

Binds rep to the SharedPtr.

Remarks:
  Assumes that the SharedPtr is uninitialised!

Definition at line 167 of file OgreSharedPtr.h.

virtual void Ogre::SharedPtr< HardwarePixelBuffer >::destroy | ( | void |  | ) | `[protected, virtual, inherited]`

Definition at line 223 of file OgreSharedPtr.h.

SharedPtrFreeMethod Ogre::SharedPtr< HardwarePixelBuffer >::freeMethod | ( |  | ) | const`[inherited]`

Definition at line 181 of file OgreSharedPtr.h.

HardwarePixelBuffer * Ogre::SharedPtr< HardwarePixelBuffer >::get | ( | void |  | ) | const`[inherited]`

Definition at line 161 of file OgreSharedPtr.h.

HardwarePixelBuffer * Ogre::SharedPtr< HardwarePixelBuffer >::getPointer | ( |  | ) | const`[inherited]`

Definition at line 180 of file OgreSharedPtr.h.

bool Ogre::SharedPtr< HardwarePixelBuffer >::isNull | ( | void |  | ) | const`[inherited]`

Definition at line 183 of file OgreSharedPtr.h.

HardwarePixelBuffer & Ogre::SharedPtr< HardwarePixelBuffer >::operator* | ( |  | ) | const`[inherited]`

Definition at line 159 of file OgreSharedPtr.h.

HardwarePixelBuffer * Ogre::SharedPtr< HardwarePixelBuffer >::operator-> | ( |  | ) | const`[inherited]`

Definition at line 160 of file OgreSharedPtr.h.

void Ogre::SharedPtr< HardwarePixelBuffer >::release | ( | void |  | ) | `[protected, inherited]`

Definition at line 197 of file OgreSharedPtr.h.

void Ogre::SharedPtr< HardwarePixelBuffer >::setNull | ( | void |  | ) | `[inherited]`

Definition at line 185 of file OgreSharedPtr.h.

virtual void Ogre::SharedPtr< HardwarePixelBuffer >::swap | ( | SharedPtr< HardwarePixelBuffer > & | other | ) | `[protected, virtual, inherited]`

Definition at line 247 of file OgreSharedPtr.h.

bool Ogre::SharedPtr< HardwarePixelBuffer >::unique | ( |  | ) | const`[inherited]`

Definition at line 176 of file OgreSharedPtr.h.

unsigned int Ogre::SharedPtr< HardwarePixelBuffer >::useCount | ( |  | ) | const`[inherited]`

Definition at line 177 of file OgreSharedPtr.h.

unsigned int* Ogre::SharedPtr< HardwarePixelBuffer >::useCountPointer | ( |  | ) | const`[inherited]`

Definition at line 178 of file OgreSharedPtr.h.

## Member Data Documentation

HardwarePixelBuffer * Ogre::SharedPtr< HardwarePixelBuffer >::pRep`[protected, inherited]`

Definition at line 63 of file OgreSharedPtr.h.

unsigned int* Ogre::SharedPtr< HardwarePixelBuffer >::pUseCount`[protected, inherited]`

Definition at line 64 of file OgreSharedPtr.h.

SharedPtrFreeMethod Ogre::SharedPtr< HardwarePixelBuffer >::useFreeMethod`[protected, inherited]`

Definition at line 65 of file OgreSharedPtr.h.

The documentation for this class was generated from the following file:

- OgreHardwarePixelBuffer.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:24:55